//WAP TO GENERATE DIVISORS OF AN INTEGER
#include<iostream.h>
#include<conio.h>
void main()
{
	int i,num;
	clrscr();
	cout<<"Enter an integer :";
	cin>>num;
	for(i=1;i<=num/2;++i)
	{
		if(num%i==0)
			cout<<"\n"<<i;
	}
	getch();

}